<div class="card container-fluid" *ngIf="courseExam">
    <div class="card-body-title mt-3 pb-3">
        <div class="row s--list-group pt-3 pb-3">
            <div class="col-lg-9 col-md-9">
                <h5 [translate]="'CoursesLocal.GradingStatus'"></h5>
                <ng-container *ngIf="courseExam.status.alternateName === 'open' else closed">
                    <div class="open2-grading"><span [translate]="'CoursesLocal.OpenGrading'"></span> {{subDate | localizedDate: 'short'}} </div>
                    <div [translate]="'CoursesLocal.Resubmit'"> </div>
                </ng-container>
                <ng-template #closed>
                    <ng-container *ngIf="courseExam.status.alternateName === 'closed' else inprogress">
                        <div class="closed-grading" [translate]="'CoursesLocal.ClosedGrading'"> </div>
                        <div [translate]="'CoursesLocal.ContactforGrades'"></div>
                    </ng-container>
                    <ng-template #inprogress>
                        <ng-container *ngIf="courseExam.status.alternateName === 'inprogress' else completed">
                            <div class="open-grading" [translate]="'CoursesLocal.InprogressGrading'"> </div>
                            <div [translate]="'CoursesLocal.SubmitGrading'"></div>
                        </ng-container>
                    </ng-template>
                    <ng-template #completed>
                        <div class="open-grading" [translate]="'CoursesLocal.CompletedGrading'"> </div>
                        <div [translate]="'CoursesLocal.CompletedStatus'"></div>
                    </ng-template>
                </ng-template>
            </div>
            <div class="col-lg-3 col-md-3">
                <button type="button" class="btn btn-block btn-active-color btn-primary ml-0 responsive-width" (click)="exportGrades(courseExam)">
                  <span class="d-none d-lg-block d-print-block" [translate]="'CoursesLocal.DownloadGrades'"></span>
                  <span class="d-lg-none" [translate]="'CoursesLocal.DownloadSmall'"></span>
                </button>
                <button [disabled]="courseExam.status.alternateName === 'closed'" type="button" class="btn btn-block btn-active-color btn-success ml-0" (click)="importGrades(courseExam.id)">
                  <span class="d-none d-lg-block d-print-block" [translate]="'CoursesLocal.CommitGrades'"></span>
                  <span class="d-lg-none" [translate]="'CoursesLocal.CommitSmall'"></span>
                </button>
            </div>
        </div>
    </div>

  <!-- Charts -->
  <div class="row s--list-group my-3 p-3" *ngIf="!isLoading">
    <div class="col-12">
      <h5 [translate]="'CoursesLocal.Chart.Statistics'"></h5>
      <div class="row border-bottom py-2">
        <div class="col-xl-4 col-lg-4 col-md-4 col-sm-12 col-xs-12">
          <span [translate]="'CoursesLocal.Chart.Exam'"></span>
        </div>
        <div class="col-xl-8 col-lg-8 col-md-8 col-sm-12 col-xs-12">
          {{studentsRegisters}} <span [translate]="'CoursesLocal.Chart.Registered'"></span>
        </div>
      </div>
      <div class="row border-bottom py-2">
        <div class="col-xl-4 col-lg-4 col-md-4 col-sm-12 col-xs-12">
          <span [translate]="'CoursesLocal.Chart.Graded'"></span>
        </div>
        <div class="col-xl-8 col-lg-8 col-md-8 col-sm-12 col-xs-12">
          {{studentsGraded}}
        </div>
      </div>
      <div class="row border-bottom py-2">
        <div class="col-xl-4 col-lg-4 col-md-4 col-sm-12 col-xs-12">
          <span [translate]="'CoursesLocal.Chart.Successed'"></span>
        </div>
        <div class="col-xl-8 col-lg-8 col-md-8 col-sm-12 col-xs-12">
          {{studentsSuccessed}}
        </div>
      </div>

      <div class="row my-5 px-lg-5 px-md-3 px-1" *ngIf="studentsSuccessed>0" style="height: 300px">
        <div class="col-12">
          <h6 [translate]="'CoursesLocal.Chart.GroupByGrade'"></h6>
        </div>
        <canvas baseChart
                [datasets]="chartGradesData"
                [labels]="chartGradesLabels"
                [options]="chartGradesOptions"
                [legend]="chartGradesLegend"
                [chartType]="chartGradesType"
                [colors]="chartGradeColours">
        </canvas>
      </div>
    </div>
  </div>
  <!-- ./Charts -->

  <!-- History of Upload Grades -->
  <div class="row s--list-group my-3 p-3" *ngIf="!isLoading">
    <div class="col-lg-6 col-md-12 col-sm-12 mb-3">
      <h5 [translate]="'CoursesLocal.HistoryChanges'"></h5>
      <div class="row" *ngFor="let history of uploadHistory">
        <div class="col-lg-6 col-md-6 text-secondary">
          {{history.result.user.name}}
        </div>
        <div class="col-lg-3 col-md-3 text-secondary d-none d-md-block">
          <div class="text-right">
            {{history.result.dateModified | localizedDate: 'shortDate'}}
          </div>
        </div>
        <div class="col-lg-3 col-md-3 text-secondary d-none d-md-block">
          {{history.result.dateModified | localizedDate: 'shortTime'}}
        </div>
        <div class="col-lg-3 col-md-3 d-block d-md-none text-secondary">
          <div>{{history.result.dateModified | localizedDate: 'short'}}</div>
        </div>
      </div>
    </div>
  </div>
  <!-- ./History of Upload Grades -->

</div>
